package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItemdiscountAdditemRequest struct {
	/*
	   商品对象     */
	Param0 *domain.AlibabaHmMarketingItemdiscountAdditemItemDiscountSku `json:"param0" required:"true" `
	/*
	   活动基本信息     */
	Param1 *domain.AlibabaHmMarketingItemdiscountAdditemCommonActivityParam `json:"param1" required:"true" `
}

func (s *AlibabaHmMarketingItemdiscountAdditemRequest) SetParam0(v domain.AlibabaHmMarketingItemdiscountAdditemItemDiscountSku) *AlibabaHmMarketingItemdiscountAdditemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountAdditemRequest) SetParam1(v domain.AlibabaHmMarketingItemdiscountAdditemCommonActivityParam) *AlibabaHmMarketingItemdiscountAdditemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaHmMarketingItemdiscountAdditemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItemdiscountAdditemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
